package com.wd.workoffice.bean.mesBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 * date: 2021-11-03
 **/
public class PermissionBean {

        private String text;
        private String id;
        private Object parentId;
        private String levelCode;
        private List<NodesBean> nodes;
        private String icon;
        private Object url;
        private String description;
        private Object appIcon;

        public String getText() {
            return text;
        }

        public void setText(String text) {
            this.text = text;
        }


        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public Object getParentId() {
            return parentId;
        }

        public void setParentId(Object parentId) {
            this.parentId = parentId;
        }

        public String getLevelCode() {
            return levelCode;
        }

        public void setLevelCode(String levelCode) {
            this.levelCode = levelCode;
        }

        public List<NodesBean> getNodes() {
            return nodes;
        }

        public void setNodes(List<NodesBean> nodes) {
            this.nodes = nodes;
        }

        public String getIcon() {
            return icon;
        }

        public void setIcon(String icon) {
            this.icon = icon;
        }

        public Object getUrl() {
            return url;
        }

        public void setUrl(Object url) {
            this.url = url;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public Object getAppIcon() {
            return appIcon;
        }

        public void setAppIcon(Object appIcon) {
            this.appIcon = appIcon;
        }

        public static class NodesBean {
            private String text;
            private List<String> tags;
            private String id;
            private String parentId;
            private String levelCode;
            private Object nodes;
            private Object icon;
            private Object url;
            private String description;
            private Object appIcon;

            public String getText() {
                return text;
            }

            public void setText(String text) {
                this.text = text;
            }

            public List<String> getTags() {
                return tags;
            }

            public void setTags(List<String> tags) {
                this.tags = tags;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getParentId() {
                return parentId;
            }

            public void setParentId(String parentId) {
                this.parentId = parentId;
            }

            public String getLevelCode() {
                return levelCode;
            }

            public void setLevelCode(String levelCode) {
                this.levelCode = levelCode;
            }

            public Object getNodes() {
                return nodes;
            }

            public void setNodes(Object nodes) {
                this.nodes = nodes;
            }

            public Object getIcon() {
                return icon;
            }

            public void setIcon(Object icon) {
                this.icon = icon;
            }

            public Object getUrl() {
                return url;
            }

            public void setUrl(Object url) {
                this.url = url;
            }

            public String getDescription() {
                return description;
            }

            public void setDescription(String description) {
                this.description = description;
            }

            public Object getAppIcon() {
                return appIcon;
            }

            public void setAppIcon(Object appIcon) {
                this.appIcon = appIcon;
            }
        }
}
